# CustomClassLoader (server 1.1 API)
declaration: package: dev.plex.module.loader, class: CustomClassLoader

Package dev.plex.module.loader

# Class CustomClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
dev.plex.module.loader.CustomClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class CustomClassLoader extends URLClassLoader

## Constructor Summary

Constructors
Constructor
Description
`CustomClassLoader(URL jarInJar, ClassLoader parent)`

## Method Summary

Modifier and Type
Method
Description
`(package private) static URL`
`extractJar(URL jarInJar)`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomClassLoader

public CustomClassLoader(URL jarInJar, ClassLoader parent)

## Method Details

### extractJar

static URL extractJar(URL jarInJar) throws RuntimeException

Throws:
  `RuntimeException`